Holger's Java API

## com.antelmann.cddb
Interface CDInfo

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CDDBEntry

    public interface CDInfo

extends Serializable

Represents the additional information for a CD that can be retrieved from a CDDB database. Any further information that may be available for a specific CDInfo object, is left to whatever the implementing class supports. In fact, there may be instances that are derived from a special local database, that support far more features/information than the standard CDDB file format provides. Also, the organization/storage of these instances should be entirely up to the application, that's why this is an interface.

Author:
  Holger Antelmann
See Also:
  `CDDBXmcdParser`

Method Summary
`CDDBRecord` `getCDDBRecord()` returns the associated CDDBRecord entry.
`CDID` `getCDID()` returns the associated CDID object
`Properties` `getProperties()` a convenience method that returns a map view of all known properties of this entry.
`String` `getXmcdContent()` returns the content in xmcd file format as specified by CDDB.

Method Detail

### getCDID

    CDID getCDID()

  returns the associated CDID object

### getCDDBRecord

    CDDBRecord getCDDBRecord()

  returns the associated CDDBRecord entry. Note: as the returned CDDBRecord is not derived directly from a CDDB query, the `isExactMatch()` value of this returned instance is meaningless. This record (with the embedded category and one discID) allows to identify the CDInfo object as to how it is to be filed.

  See Also:
    `CDDB.queryCD(CDID)`

### getXmcdContent

    String getXmcdContent()

  returns the content in xmcd file format as specified by CDDB. As specified in xmcd CDDB format, there may be multiple discIDs present, and there is no category information. To retrieve that info, use the associated CDDBRecord.

  See Also:
    `getCDDBRecord()`, `CDDBXmcdParser`

### getProperties

    Properties getProperties()

  a convenience method that returns a map view of all known properties of this entry. Unless otherwise specified by the implementing class, changes in the returned properties are not reflected in the actual properties of this instance. (I.e. it is asumed that the return value is a generated view per call.)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads